package objects.tasks;

import core.TaskType;
import objects.Flag;
import org.bson.types.ObjectId;
import org.mongodb.morphia.annotations.Entity;
import org.mongodb.morphia.annotations.Id;

/**
 * Created by gpietrus on 20.02.2016.
 */
@Entity("tasks")
public class Task {
    @Id
    private ObjectId id;
    private String name;
    private int level;
    private TaskType taskType;
    private Flag flag;
    private TaskContent taskContent;

    public Task(String name, int level, TaskType type, Flag flag, TaskContent taskContent) {
        this.flag = flag;
        this.taskType = type;
        this.level = level;
        this.name = name;
        this.taskContent = taskContent;
    }

    public Task() {}

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public TaskType getTaskType() {
        return taskType;
    }

    public void setTaskType(TaskType taskType) {
        this.taskType = taskType;
    }

    public Flag getFlag() {
        return flag;
    }

    public void setFlag(Flag flag) {
        this.flag = flag;
    }

    public TaskContent getTaskContent() {
        return taskContent;
    }

    public void setTaskContent(TaskContent taskContent) {
        this.taskContent = taskContent;
    }
}
